
/**
 * @defgroup GSHGLCONTROL GSHGLCONTROL - Bindings for GL state functions for GSH
 * @ingroup GSH
 */

/** @ingroup GSHGLCONTROL */
/** @{ */

#ifndef GSHGLCONTROL_H
#   define GSHGLCONTROL_H
#   define GSHGLCONTROL_VERSION "1"
#   include "gsh.h"

#ifdef __cplusplus
extern "C" {
#endif

/**
 * Registers the gshgl built-in functions with GSH.
 *
 * Call this once at the beginning of your program,
 * but be sure GSH is initialized first (eg, if you're
 * going to call gcon_Init(), do that before you call
 * gshglcontrol_Init().
 */
void gshglcontrol_Init(void);

#ifdef __cplusplus
}
#endif
#endif /* GLCONTROL_H */

/** @} */
