
/**
 * @defgroup TCON TCON - Terminal frontend for GSH
 * @ingroup GSH
 */
/** @ingroup TCON */
/** @{ */

#ifndef TCON_H
#   define TCON_H
#   define TCON_VERSION "3"
#   include "gsh.h"
#   include <stdarg.h>

#ifdef __cplusplus
extern "C" {
#endif

void tcon_Init(void);
void tcon_Shutdown(void);

/** Input gathering */
void tcon_GetInput(void);

/** Output */
void tcon_Printf(const char *szFormat, ...);

#ifdef __cplusplus
}
#endif
#endif /* TCON_H */

/** @} */

